import { AfterViewInit, ElementRef, OnDestroy } from "@angular/core";
import { StiTooltipService } from "./sti-tooltip.service";
import * as i0 from "@angular/core";
export declare class StiTooltipDirective implements AfterViewInit, OnDestroy {
    tooltipService: StiTooltipService;
    private el;
    tooltipPosition: "right" | "left" | "top" | "bottom" | string | undefined;
    text: string | undefined;
    showDelay: number | undefined;
    active: boolean;
    showTimeout: any;
    hideTimeout: any;
    constructor(tooltipService: StiTooltipService, el: ElementRef);
    ngAfterViewInit(): void;
    activate(): void;
    deactivate(): void;
    show(): void;
    hide(): void;
    clearShowTimeout(): void;
    clearHideTimeout(): void;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiTooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<StiTooltipDirective, "[stiTooltip]", never, { "tooltipPosition": "tooltipPosition"; "text": "stiTooltip"; "showDelay": "showDelay"; }, {}, never, never, false>;
}
